/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.GrupoCortesiasDAO;
import com.rjconsultores.ventaboletos.entidad.GrupoCortesia;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Shiro
 */
@SuppressWarnings("unchecked")
@Repository("grupoCortesiaDAO")
public class GrupoCortesiasHibernateDAO extends GenericHibernateDAO<GrupoCortesia, Integer>
        implements GrupoCortesiasDAO {

    @Autowired
    public GrupoCortesiasHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<GrupoCortesia> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<GrupoCortesia> buscar(String descgrupo) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("descgrupo", descgrupo));

        return c.list();
    }
}
